Subject: Ticket Assigned - 4006828/ raise escalation to follow up
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sun, 10 Jul 2022 17:36:01 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  4006828/ raise escalation to follow up ?〰️                    Hi           09:07 PM, 10th Jul                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           09:07 PM, 10th Jul                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            09:07 PM, 10th Jul                     ?〰️                    The team picked up my Apollo 3 seaters sofa on 18 June to fix it           09:08 PM, 10th Jul                     ?〰️                    And they haven't returned it yet.           09:08 PM, 10th Jul                     ?〰️                    I need my sofa!           09:08 PM, 10th Jul                     ?〰️                    I have called homebox few times already!           09:08 PM, 10th Jul                     ?〰️                    **********9620201119           09:08 PM, 10th Jul                     ?〰️                    I spoke with an agent  His name is Samer           09:08 PM, 10th Jul                     ?〰️                    And he promised that someone WILL call me back           09:09 PM, 10th Jul                     ?〰️                    I need my sofa! It has been fixed since the 23rd.  Why on earth are you guys keeping it in your warehouse!!!!????!!!!!           09:09 PM, 10th Jul                     ?〰️                    Nobody has called me from Homebox           09:09 PM, 10th Jul                   Alhamzi                   We sincerely apologize for any inconvenience caused you.            09:09 PM, 10th Jul                   Alhamzi                   Please wait while we check the details.            09:09 PM, 10th Jul                   Alhamzi                   Could you please share a screenshot of the order number in this conversation as we did not receive the number completely             09:12 PM, 10th Jul                     ?〰️                    **********9620201119           09:12 PM, 10th Jul                     ?〰️                             09:12 PM, 10th Jul                   Alhamzi                   Thanks           09:13 PM, 10th Jul                   Alhamzi                   Please wait while we check the details.            09:13 PM, 10th Jul                     ?〰️                    That's all I have been doing for the past month!   Just waiting.           09:13 PM, 10th Jul                     ?〰️                    You have NOT introduced with yourself! What's your name??           09:14 PM, 10th Jul                   Alhamzi                   My name is Alhamzi           09:15 PM, 10th Jul                   Alhamzi                   Kindly note that we have sent a reminder to our team under complain number 4006828 and informed them to contact you on priority bases to help you regarding this issue. We request you to allow us some more time.            09:15 PM, 10th Jul                     ?〰️                    I HAVE allowed them sometime..   1 month!           09:16 PM, 10th Jul                   Alhamzi                   Please contact us if the sofa is not delivered within 3-5 days and we will help you in the best way.           09:16 PM, 10th Jul                     ?〰️                    That's what I'm doing now.           09:16 PM, 10th Jul                     ?〰️                    I have contacted you guys here on 6 July           09:16 PM, 10th Jul                     ?〰️                    And I was asked to get back to you in 3 to 5 days           09:17 PM, 10th Jul                   Alhamzi                   We totally understand the frustration you have and this is not the experience we wamt our customer to have.           09:17 PM, 10th Jul                     ?〰️                    Now im doing so and you're AGAIN asking me to contact again in 3 to 5 days more.           09:17 PM, 10th Jul                     ?〰️                    Oh pls stop           09:17 PM, 10th Jul                     ?〰️                    STOP.           09:17 PM, 10th Jul                   Alhamzi                   We have raised a complain that time but the status is still open.           09:17 PM, 10th Jul                     ?〰️                    All I'm asking is to give me back my sofa           09:17 PM, 10th Jul                   Alhamzi                   We have not sent a reminder to our team to resolve the issue           09:18 PM, 10th Jul                     ?〰️                    And I can't keep waiting and waiting forever.           09:18 PM, 10th Jul                     ?〰️                    And nothing has happened           09:18 PM, 10th Jul                     ?〰️                    So?           09:18 PM, 10th Jul                     ?〰️                    Mind you that I have called homebox customer care countless of times.           09:18 PM, 10th Jul                     ?〰️                    Plus messaging here.           09:18 PM, 10th Jul                     ?〰️                             09:19 PM, 10th Jul                   Alhamzi                   We would like to let you know that we have informed our team to make your complain of their priority and they will take action soon. Your patience is appreciable            09:19 PM, 10th Jul                     ?〰️                    Now it's July 10!!           09:19 PM, 10th Jul                   Alhamzi                   Yes I have gone through the previous  chats as well and informed our team regarding the delay           09:20 PM, 10th Jul                     ?〰️                    NOTHING IS HAPPENING           09:20 PM, 10th Jul                     ?〰️                    NOTHING           09:20 PM, 10th Jul                     ?〰️                    Nobody is calling me.           09:20 PM, 10th Jul                     ?〰️                    I even reached out to the driver           09:20 PM, 10th Jul                     ?〰️                    Who picked up my sofa           09:20 PM, 10th Jul                     ?〰️                    Ans he refused to help me return it.           09:20 PM, 10th Jul                   Alhamzi                   We will continusly keep in touch with the team regarding your case.           09:21 PM, 10th Jul                     ?〰️                             09:21 PM, 10th Jul                   Alhamzi                   Could you please share with us your Email ID so we can update you           09:21 PM, 10th Jul                     ?〰️                    You already have it.   But again here it is  [email-masked]           09:21 PM, 10th Jul                     ?〰️                    I need you to connect me to a manager           09:22 PM, 10th Jul                   Alhamzi                   We deal with different delivery partner. We are contacting the warehouse to arrange the delivery           09:22 PM, 10th Jul                   Alhamzi                   We will raise your request and they will contact you soon           09:22 PM, 10th Jul                     ?〰️                    When will they contact me ?           09:22 PM, 10th Jul                     ?〰️                    Your colleague Mosab said the same thing.           09:23 PM, 10th Jul                     ?〰️                    Your colleague in the call center Samer said the same thing           09:23 PM, 10th Jul                   Alhamzi                   I do apologise for this situation. We have informed our team to make your issue of their priority           09:23 PM, 10th Jul                     ?〰️                    And nobody and I say NOBODY has contacted me           09:23 PM, 10th Jul                   Alhamzi                   kindly not that we do not know the exact delivery time but rest assured that we are doing the needful to deliver your order ASAP.    Please allow us some more time            09:23 PM, 10th Jul                   Alhamzi                   Do you have any other inquiries that we can help with?           09:23 PM, 10th Jul                     ?〰️                    But they are not.           09:23 PM, 10th Jul                     ?〰️                    Samer told me today           09:23 PM, 10th Jul                     ?〰️                    That he personally spoke to.his manager           09:24 PM, 10th Jul                     ?〰️                    And he told him (the so called manager) that we will not give her a priority           09:24 PM, 10th Jul                     ?〰️                    Our priority is for the new purchases           09:24 PM, 10th Jul                     ?〰️                    If ever we have availability with our driver, it will not be for her.           09:24 PM, 10th Jul                     ?〰️                    And I will not call her.           09:25 PM, 10th Jul                     ?〰️                    Those were his "Manager" words           09:25 PM, 10th Jul                     ?〰️                    So if a manager said this directly,           09:25 PM, 10th Jul                     ?〰️                    How am I supposed.to believe now your words.   And you're not a manager. Meaning you have no power.   And the manager who actually have power to do something and help me get my sofa back refused to help.me! So how can you?!           09:26 PM, 10th Jul                   Alhamzi                   Kindly note that Samer is the responsible for delivering the House hold items and not the furniture.           09:28 PM, 10th Jul                   Alhamzi                   We will share your feedback to our team and I am sure they will take action very soon           09:29 PM, 10th Jul                   Alhamzi                   Thank you for your understanding and cooperation.           09:29 PM, 10th Jul                     ?〰️                    I'm not blaming him!! I'm telling you what his feedback from his manager was           09:29 PM, 10th Jul                     ?〰️                    And he is the call center           09:29 PM, 10th Jul                     ?〰️                    So if u r not saying: he is not responsible, as call center agent           09:30 PM, 10th Jul                     ?〰️                    Then why homebox have call center ?           09:30 PM, 10th Jul                     ?〰️                    And you're wrong. Call center are there to help with all kind of orders.           09:30 PM, 10th Jul                     ?〰️                    It's awful how you're wording things falsely           09:31 PM, 10th Jul                     ?〰️                    It's really awful.           09:31 PM, 10th Jul                     ?〰️                             09:31 PM, 10th Jul                     ?〰️                    Especially when I called HOMEBOX NUMBER!!!           09:31 PM, 10th Jul                   Alhamzi                   Sorry for this has happened with you. surely this is not the experience we wants our customer to have.  Kindly note that we have escalated this issue to the concern team for this not to happen again.     Thank you for you understanding and cooperation           09:32 PM, 10th Jul                     ?〰️                    But Hamzi. If u don't want to help and eager to end this conversation then just say so.  Because you tried to end it few times already.           09:32 PM, 10th Jul                   Alhamzi                   We are here to serve you in the best way and we have raised a reminder to our team under number 4006828. Also after chat I am going to escalate the issue with the higher authority.           09:33 PM, 10th Jul                     ?〰️                    Hope so.           09:34 PM, 10th Jul                     ?〰️                    When can the sofa be delivered?           09:34 PM, 10th Jul                   Alhamzi                   more than that we do not have authority to do anything           09:34 PM, 10th Jul                   Alhamzi                   We will keep in touch with our team and will update you accordingly through mail.           09:34 PM, 10th Jul                     ?〰️                    That's exactly what I said earlier when I told you the managers feedback           09:34 PM, 10th Jul                   Alhamzi                   Do not hesitate to contact us for more assistance            09:34 PM, 10th Jul                   Alhamzi                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           09:34 PM, 10th Jul                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4606803